
Redmine - Defect #11217

Project names in drop-down are escaped twice

2012-06-21 08:20 - John Bart

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 2.0.4   

Resolution: Fixed Affected version: 2.0.3

Description

Database: mySql

Steps:

create a new test project named "A & B"

the project combo box displays this as 

"A &amp; B"

This bug is not present in 1.3.0 (the version we updated from) but was introduced somewhere along the way.

Related issues:

Has duplicate Redmine - Patch #11793: Html escaping doesn't work in "Jump to ... Closed

Associated revisions

Revision 9894 - 2012-06-26 18:54 - Jean-Philippe Lang

Fixed that root projects are escaped twice in the project drop down (#11217).

History

#1 - 2012-06-21 08:22 - John Bart

The description could be misinterpreted ;) - I was actually typing a & followed by amp;

#2 - 2012-06-21 09:27 - Etienne Massip

- Description updated

#3 - 2012-06-21 09:30 - Etienne Massip

- Category set to UI

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

#4 - 2012-06-26 18:55 - Jean-Philippe Lang

- Subject changed from Project combo box showing "&amp;" instead of "&" to Project names in drop-down are escaped twice

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 2.0.4

- Resolution set to Fixed

Fixed in r9894.

#5 - 2012-07-08 14:28 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
